GET
Get a purchase intent

Authorizations

Authorization
string
header
required

Account-bound token for the public API resource.

Scopes

account:read

Read account data.

Headers

Tuyo-API-Version
string
required

Required dated public API contract.

Allowed value: "2026-10-20"
Tuyo-Request-Reason
string

Optional, percent-encoded short explanation of why the request is made (e.g. the end-user goal relayed by an AI agent). Stored for audit; truncated to 2048 characters after decoding.

Path Parameters

id
string<uuid>
required

Response

Successful response.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
status
enum<string>
required
Available options:
pending,
rejected,
accepted,
active,
charged,
expired,
failed,
canceled
title
string
required
merchant
string
required
description
string | null
required
checkoutUrl
string | null
required
amount
any
required
currency
string
required
Pattern: ^[A-Z]{3}$
usdAmount
any
required
expiresAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
lastDecline
object | null
required